The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WHM with SSL not working

Discussion in 'General Discussion' started by belon_cfy, Jul 16, 2009.

  1. belon_cfy

    belon_cfy Member

    Joined:
    Apr 10, 2007
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Hi
    I m facing the problem on accessing WHM with https port 2087. After investigate , i got the following errorlog
    Code:
    Can't locate auto/Net/SSLeay/ssl_read_un.al in @INC (@INC contains: /usr/local/cpanel /usr/local/cpanel/Cpanel/CPAN/overload/__Time /usr/local/cpanel/Cpanel/CPAN/overload/__File__GlobMapper /usr/local/cpanel/Cpanel/CPAN/overload/__Digest /usr/local/cpanel/perl /usr/local/cpanel/build-tools/stubs /usr/lib/perl5/5.6.2/i686-linux /usr/lib/perl5/5.6.2 /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/site_perl/5.6.2/IO/Socket/SSL.pm line 676
    Can't locate auto/Net/SSLeay/ssl_write_a.al in @INC (@INC contains: /usr/local/cpanel /usr/local/cpanel/Cpanel/CPAN/overload/__Time /usr/local/cpanel/Cpanel/CPAN/overload/__File__GlobMapper /usr/local/cpanel/Cpanel/CPAN/overload/__Digest /usr/local/cpanel/perl /usr/local/cpanel/build-tools/stubs /usr/lib/perl5/5.6.2/i686-linux /usr/lib/perl5/5.6.2 /usr/lib/perl5/site_perl/5.6.2/i686-linux /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/site_perl/5.6.2/IO/Socket/SSL.pm line 601
    
    I have tried the solution at below but still not working
    /usr/local/cpanel/bin/checkperlmodules
    /scripts/perlinstaller --force Net::SSLeay

    Help....
     
  2. Voltar

    Voltar Well-Known Member

    Joined:
    Apr 30, 2007
    Messages:
    269
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Bakersfield, California
    It looks like you're running Perl 5.6, cPanel 11 requires 5.8. You might try upgrading Perl and running "/scripts/upcp --force" afterward.
     
  3. belon_cfy

    belon_cfy Member

    Joined:
    Apr 10, 2007
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Hi
    The perl version show as below , it is 5.8.8.
    This is perl, v5.8.8 built for i686-linux
     
  4. belon_cfy

    belon_cfy Member

    Joined:
    Apr 10, 2007
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Finally the problem has been resolved by CPanel technical support. Below is the step of rebuild the NET::SSLeay

    Code:
    cd /usr/local/cpanel/src/3rdparty/perl/
    make netssleay
    make netssleayinstall
    
    I have tried the solution on another server with the same problem and it's working.
     
  5. Janak

    Janak Well-Known Member

    Joined:
    Jul 18, 2009
    Messages:
    71
    Likes Received:
    1
    Trophy Points:
    6
    @belon_cfy..thanks for sharing this useful information among us! It will sure help others who may faces the same issue.
     
  6. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    The above can be simplified to:

    Code:
    /usr/local/cpanel/bin/nativessl-install
    
    On some machines we tracked the problem to an issue with one of the update mirrors.
     
Loading...

Share This Page